Index: branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/CicularKernel.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/CicularKernel.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/CicularKernel.cs	(revision 16462)
@@ -23,12 +23,12 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableType("BB5992FF-783A-490E-91FE-C0782BD1CBB9")]
   [Item("CircularKernel", "A circular kernel function 2*pi*(acos(-d)-d*(1-d²)^(0.5)) where n = ||x-c|| and d = n/beta \n  As described in http://crsouza.com/2010/03/17/kernel-functions-for-machine-learning-applications/")]
   public class CircularKernel : KernelBase {
     [StorableConstructor]
-    protected CircularKernel(bool deserializing) : base(deserializing) { }
+    protected CircularKernel(StorableConstructorFlag _) : base(_) { }
 
     protected CircularKernel(CircularKernel original, Cloner cloner) : base(original, cloner) { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/GaussianKernel.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/GaussianKernel.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/GaussianKernel.cs	(revision 16462)
@@ -25,12 +25,12 @@
 using HeuristicLab.Core;
 
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableType("CFF2B805-FE21-427B-B899-531D3AB1C7EF")]
   [Item("GaussianKernel", "A kernel function that uses Gaussian function exp(-n²/beta²). As described in http://crsouza.com/2010/03/17/kernel-functions-for-machine-learning-applications/")]
   public class GaussianKernel : KernelBase {
     [StorableConstructor]
-    protected GaussianKernel(bool deserializing) : base(deserializing) { }
+    protected GaussianKernel(StorableConstructorFlag _) : base(_) { }
 
     protected GaussianKernel(GaussianKernel original, Cloner cloner) : base(original, cloner) { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/InverseMultiquadraticKernel.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/InverseMultiquadraticKernel.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/InverseMultiquadraticKernel.cs	(revision 16462)
@@ -23,8 +23,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableType("891AC2D7-520C-4D34-9CBF-174DFA290C12")]
   [Item("InverseMultiquadraticKernel", "A kernel function that uses the inverse multi-quadratic function  1 / sqrt(1+||x-c||²/beta²). Similar to http://crsouza.com/2010/03/17/kernel-functions-for-machine-learning-applications/ with beta as a scaling factor.")]
   public class InverseMultiquadraticKernel : KernelBase {
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    protected InverseMultiquadraticKernel(bool deserializing) : base(deserializing) { }
+    protected InverseMultiquadraticKernel(StorableConstructorFlag _) : base(_) { }
 
     protected InverseMultiquadraticKernel(InverseMultiquadraticKernel original, Cloner cloner) : base(original, cloner) { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/KernelBase.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/KernelBase.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/KernelBase.cs	(revision 16462)
@@ -26,8 +26,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableType("3449B830-E1E5-4176-B56D-AA32235F061B")]
   public abstract class KernelBase : ParameterizedNamedItem, IKernel {
 
@@ -60,5 +60,5 @@
 
     [StorableConstructor]
-    protected KernelBase(bool deserializing) : base(deserializing) { }
+    protected KernelBase(StorableConstructorFlag _) : base(_) { }
 
     protected KernelBase(KernelBase original, Cloner cloner)
Index: branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/MultiquadraticKernel.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/MultiquadraticKernel.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/MultiquadraticKernel.cs	(revision 16462)
@@ -23,8 +23,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableType("9017554C-BB2A-45E1-9050-1260CB98D04A")]
   // conditionally positive definite. (need to add polynomials) see http://num.math.uni-goettingen.de/schaback/teaching/sc.pdf 
   [Item("MultiquadraticKernel", "A kernel function that uses the multi-quadratic function sqrt(1+||x-c||²/beta²). Similar to http://crsouza.com/2010/03/17/kernel-functions-for-machine-learning-applications/ with beta as a scaling factor.")]
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected MultiquadraticKernel(bool deserializing) : base(deserializing) { }
+    protected MultiquadraticKernel(StorableConstructorFlag _) : base(_) { }
 
     protected MultiquadraticKernel(MultiquadraticKernel original, Cloner cloner) : base(original, cloner) { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/PolysplineKernel.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/PolysplineKernel.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/PolysplineKernel.cs	(revision 16462)
@@ -25,8 +25,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableType("0618DE2C-6A69-4086-ADE1-F983AC626F42")]
   // conditionally positive definite. (need to add polynomials) see http://num.math.uni-goettingen.de/schaback/teaching/sc.pdf 
   [Item("PolysplineKernel", "A kernel function that uses the polyharmonic function (||x-c||/Beta)^Degree as given in http://num.math.uni-goettingen.de/schaback/teaching/sc.pdf with beta as a scaling parameters.")]
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    protected PolysplineKernel(bool deserializing) : base(deserializing) { }
+    protected PolysplineKernel(StorableConstructorFlag _) : base(_) { }
 
     protected PolysplineKernel(PolysplineKernel original, Cloner cloner) : base(original, cloner) { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/ThinPlatePolysplineKernel.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/ThinPlatePolysplineKernel.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/KernelRidgeRegression/KernelFunctions/ThinPlatePolysplineKernel.cs	(revision 16462)
@@ -25,8 +25,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass]
+  [StorableType("4D79FB1C-94CD-4450-8CD0-F9594A5F03FE")]
   // conditionally positive definite. (need to add polynomials) see http://num.math.uni-goettingen.de/schaback/teaching/sc.pdf 
   [Item("ThinPlatePolysplineKernel", "A kernel function that uses the ThinPlatePolyspline function (||x-c||/Beta)^(Degree)*log(||x-c||/Beta) as described in \"Thin-Plate Spline Radial Basis Function Scheme for Advection-Diffusion Problems\" with beta as a scaling parameter.")]
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    protected ThinPlatePolysplineKernel(bool deserializing) : base(deserializing) { }
+    protected ThinPlatePolysplineKernel(StorableConstructorFlag _) : base(_) { }
 
     protected ThinPlatePolysplineKernel(ThinPlatePolysplineKernel original, Cloner cloner) : base(original, cloner) { }
